<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       http://www.servicetrade.com
 * @since      2.0.0
 *
 * @package    Servicetrade_Service_Portal
 * @subpackage Servicetrade_Service_Portal/admin/partials
 */

 include SERVICETRADE_PORTAL_PLUGIN_ROOT_DIR . 'admin/components/page-header.php';
 
 ?>

<script>
      window.servicetradePortalConfig = {
		apiRoot: '<?php echo esc_url_raw( rest_url() . "servicetrade-service-portal/v2/admin/" ) ?>',
	    nonce: '<?php echo wp_create_nonce( "wp_rest" ) ?>'		
      };
</script>

<div class="wrap">
		<h1>ServiceTrade Service Portal Settings</h1>
	    <form action="options.php" method="post">
	        <?php
	            settings_fields( $this->plugin_name );
	            do_settings_sections( $this->plugin_name );
	            submit_button();
	        ?>
	    </form>
</div>
